//////////////////////////////////////////////////////////////////////////////////////////
// Project description
// 
// Name: Example Application
// Purpose: Example application of how to use touchlib in C++
//
// Author: Laurence Muller (aka Falcon4ever)
// Contact: info@falcon4ever.com
// Site: www.multigesture.net
//////////////////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////////////////
// Include files
// 
#include "example_app.h"

//////////////////////////////////////////////////////////////////////////////////////////
// Main class
// 

// Init Example Application class
ExampleApp::ExampleApp()
{	
	// empty	
}

// Destroy Example Application class
ExampleApp::~ExampleApp()
{
	// empty	
}

// Notify that a finger has just been made active. 
void ExampleApp::fingerDown(TouchData data)
{
	fingerList[data.ID] = data;
}

// Notify that a finger has moved 
void ExampleApp::fingerUpdate(TouchData data)
{	
	fingerList[data.ID] = data;
}

// A finger is no longer active..
void ExampleApp::fingerUp(TouchData data)
{	
	fingerList.erase(data.ID);	
}

// Process frame
void ExampleApp::frame()
{
	// Your application should be place here.

	/*
	Properties available for each blob

	struct TouchData
	{
		int ID;	// ID of the blob
		int tagID;	// ID of the tag (fiducials only)
		float X;	// X-position
		float Y;	// Y-position

		float height;	// Height of the tag (fiducials only)
		float width;	// Width of the tag (fiducials only)
		float angle;	// Angle of the tag (fiducials only)

		float area;	// Size of the blob

		float dX;	// DeltaX (relative movement)
		float dY;	// DeltaY (relative movement)
	};
	*/

}

// Clean up fingerList if needed
void ExampleApp::clearFingers()
{	
	fingerList.clear();
}
