//////////////////////////////////////////////////////////////////////////////////////////
// Project description
// 
// Name: Example Application
// Purpose: Example application of how to use touchlib in C++
//
// Author: Laurence Muller (aka Falcon4ever)
// Contact: info@falcon4ever.com
// Site: www.multigesture.net
//////////////////////////////////////////////////////////////////////////////////////////

// General headers
#ifdef WIN32
	#define _CRT_SECURE_NO_DEPRECATE	
#endif
#include <map>

// Touchlib (set path)
#include "TouchScreenDevice.h"
#include "TouchData.h"
#ifdef WIN32
  #ifdef _DEBUG
     #pragma comment(lib, "touchlibd.lib")
   #else
     #pragma comment(lib, "touchlib.lib")
   #endif  
#endif

// OpenCV
#include <cv.h>
#include <highgui.h>
#ifdef WIN32
	#pragma comment(lib, "cv.lib")
	#pragma comment(lib, "cxcore.lib")
	#pragma comment(lib, "highgui.lib")
#endif

// Used namespaces
using namespace std;
using namespace touchlib;

// Example Application class
class ExampleApp : public ITouchListener
{
	public:
		ExampleApp();
		~ExampleApp();

		virtual void fingerDown(TouchData data);
		virtual void fingerUpdate(TouchData data);
		virtual void fingerUp(TouchData data);

		void frame();
		void clearFingers();

		
	private:		
		map<int, TouchData> fingerList;
};
